Subject: bug#7378: 23.2; grep buffer misinterprets result if filename contains colon character

From: Stefan Monnier <[email-masked]>
Date: Thu, 11 Nov 2010 18:09:38 -0500

> I did M-x rgrep and searched for a string which happened to be matched
> by some files, and one of the filenames happened to contain a colon
> character (':'). Emacs thought that the colon character indicated
> a line number would immediately follow, and it syntax highlighted the
> buffer accordingly. When I tried to visit the file in question by
> navigating to that line and pressing Enter, emacs asked me for which
> file to visit, because it had truncated the filename at the
> colon character.

AFAIK we do try to figure out what was meant, even though in general
grep's output is simply ambiguous when the file name has colons.

So, could you give the exact file name you used, so we can try and
figure out whether it's a bug in the current heuristic, or it's
a hopeless case (it's just too ambiguous), or it's a case that's simply
not yet handled.

        Stefan